Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 06:13:15 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have received a package with missed item which is the gold chain with letter ‘ م’ and I have raised a complaint since I have received my package but till now no one told me what will happen , last time I called , advisor mentioned that they will deliver it but that was two weeks ago !! till now I got nothing and I am so disappointed.. Complaint number is ‘2210658‘. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2269959